package com.kingdee.eas.custom.facade.worktime;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class RemindFacadeFactory
{
    private RemindFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.worktime.IRemindFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IRemindFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("DE213253") ,com.kingdee.eas.custom.facade.worktime.IRemindFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.worktime.IRemindFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IRemindFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("DE213253") ,com.kingdee.eas.custom.facade.worktime.IRemindFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.worktime.IRemindFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IRemindFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("DE213253"));
    }
    public static com.kingdee.eas.custom.facade.worktime.IRemindFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IRemindFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("DE213253"));
    }
}